<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Serialized Form (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.commons.dbcp2</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2.ListException">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/ListException.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.ListException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>exceptionList</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; exceptionList</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.SQLExceptionList">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/SQLExceptionList.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.SQLExceptionList</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>causeList</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; causeList</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.commons.dbcp2.cpdsadapter</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2.cpdsadapter.DriverAdapterCPDS">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter">org.apache.commons.dbcp2.cpdsadapter.DriverAdapterCPDS</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4820523787212147844L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
<div class="block">Description</div>
</li>
<li class="blockList">
<h4>url</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
<div class="block">Url name</div>
</li>
<li class="blockList">
<h4>userName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> userName</pre>
<div class="block">User name</div>
</li>
<li class="blockList">
<h4>userPassword</h4>
<pre>char[] userPassword</pre>
<div class="block">User password</div>
</li>
<li class="blockList">
<h4>driver</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> driver</pre>
<div class="block">Driver class name</div>
</li>
<li class="blockList">
<h4>loginTimeout</h4>
<pre>int loginTimeout</pre>
<div class="block">Login TimeOut in seconds</div>
</li>
<li class="blockList">
<h4>poolPreparedStatements</h4>
<pre>boolean poolPreparedStatements</pre>
</li>
<li class="blockList">
<h4>maxIdle</h4>
<pre>int maxIdle</pre>
</li>
<li class="blockList">
<h4>timeBetweenEvictionRunsMillis</h4>
<pre>long timeBetweenEvictionRunsMillis</pre>
</li>
<li class="blockList">
<h4>numTestsPerEvictionRun</h4>
<pre>int numTestsPerEvictionRun</pre>
</li>
<li class="blockList">
<h4>minEvictableIdleTimeMillis</h4>
<pre>int minEvictableIdleTimeMillis</pre>
</li>
<li class="blockList">
<h4>maxPreparedStatements</h4>
<pre>int maxPreparedStatements</pre>
</li>
<li class="blockList">
<h4>getConnectionCalled</h4>
<pre>boolean getConnectionCalled</pre>
<div class="block">Whether or not getConnection has been called</div>
</li>
<li class="blockList">
<h4>connectionProperties</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a> connectionProperties</pre>
<div class="block">Connection properties passed to JDBC Driver</div>
</li>
<li class="blockListLast">
<h4>accessToUnderlyingConnectionAllowed</h4>
<pre>boolean accessToUnderlyingConnectionAllowed</pre>
<div class="block">Controls access to the underlying connection</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.apache.commons.dbcp2.datasources</h2>
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2.datasources.InstanceKeyDataSource">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/datasources/InstanceKeyDataSource.html" title="class in org.apache.commons.dbcp2.datasources">org.apache.commons.dbcp2.datasources.InstanceKeyDataSource</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6819270431752240878L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionCalled</h4>
<pre>boolean getConnectionCalled</pre>
<div class="block">Guards property setters - once true, setters throw IllegalStateException</div>
</li>
<li class="blockList">
<h4>dataSource</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a> dataSource</pre>
<div class="block">Underlying source of PooledConnections</div>
</li>
<li class="blockList">
<h4>dataSourceName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> dataSourceName</pre>
<div class="block">DataSource Name used to find the ConnectionPoolDataSource</div>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
<div class="block">Description</div>
</li>
<li class="blockList">
<h4>jndiEnvironment</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a> jndiEnvironment</pre>
<div class="block">Environment that may be used to set up a JNDI initial context.</div>
</li>
<li class="blockList">
<h4>loginTimeout</h4>
<pre>int loginTimeout</pre>
<div class="block">Login TimeOut in seconds</div>
</li>
<li class="blockList">
<h4>logWriter</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a> logWriter</pre>
<div class="block">Log stream</div>
</li>
<li class="blockList">
<h4>instanceKey</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> instanceKey</pre>
<div class="block">Instance key</div>
</li>
<li class="blockList">
<h4>defaultBlockWhenExhausted</h4>
<pre>boolean defaultBlockWhenExhausted</pre>
</li>
<li class="blockList">
<h4>defaultEvictionPolicyClassName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> defaultEvictionPolicyClassName</pre>
</li>
<li class="blockList">
<h4>defaultLifo</h4>
<pre>boolean defaultLifo</pre>
</li>
<li class="blockList">
<h4>defaultMaxIdle</h4>
<pre>int defaultMaxIdle</pre>
</li>
<li class="blockList">
<h4>defaultMaxTotal</h4>
<pre>int defaultMaxTotal</pre>
</li>
<li class="blockList">
<h4>defaultMaxWaitMillis</h4>
<pre>long defaultMaxWaitMillis</pre>
</li>
<li class="blockList">
<h4>defaultMinEvictableIdleTimeMillis</h4>
<pre>long defaultMinEvictableIdleTimeMillis</pre>
</li>
<li class="blockList">
<h4>defaultMinIdle</h4>
<pre>int defaultMinIdle</pre>
</li>
<li class="blockList">
<h4>defaultNumTestsPerEvictionRun</h4>
<pre>int defaultNumTestsPerEvictionRun</pre>
</li>
<li class="blockList">
<h4>defaultSoftMinEvictableIdleTimeMillis</h4>
<pre>long defaultSoftMinEvictableIdleTimeMillis</pre>
</li>
<li class="blockList">
<h4>defaultTestOnCreate</h4>
<pre>boolean defaultTestOnCreate</pre>
</li>
<li class="blockList">
<h4>defaultTestOnBorrow</h4>
<pre>boolean defaultTestOnBorrow</pre>
</li>
<li class="blockList">
<h4>defaultTestOnReturn</h4>
<pre>boolean defaultTestOnReturn</pre>
</li>
<li class="blockList">
<h4>defaultTestWhileIdle</h4>
<pre>boolean defaultTestWhileIdle</pre>
</li>
<li class="blockList">
<h4>defaultTimeBetweenEvictionRunsMillis</h4>
<pre>long defaultTimeBetweenEvictionRunsMillis</pre>
</li>
<li class="blockList">
<h4>validationQuery</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> validationQuery</pre>
</li>
<li class="blockList">
<h4>validationQueryTimeoutSeconds</h4>
<pre>int validationQueryTimeoutSeconds</pre>
</li>
<li class="blockList">
<h4>rollbackAfterValidation</h4>
<pre>boolean rollbackAfterValidation</pre>
</li>
<li class="blockList">
<h4>maxConnLifetimeMillis</h4>
<pre>long maxConnLifetimeMillis</pre>
</li>
<li class="blockList">
<h4>defaultAutoCommit</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> defaultAutoCommit</pre>
</li>
<li class="blockList">
<h4>defaultTransactionIsolation</h4>
<pre>int defaultTransactionIsolation</pre>
</li>
<li class="blockListLast">
<h4>defaultReadOnly</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> defaultReadOnly</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.datasources.PerUserPoolDataSource">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/datasources/PerUserPoolDataSource.html" title="class in org.apache.commons.dbcp2.datasources">org.apache.commons.dbcp2.datasources.PerUserPoolDataSource</a> extends <a href="org/apache/commons/dbcp2/datasources/InstanceKeyDataSource.html" title="class in org.apache.commons.dbcp2.datasources">InstanceKeyDataSource</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7872747993848065028L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialization Methods</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>readObject</h4>
<pre>private&nbsp;void&nbsp;readObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/ObjectInputStream.html?is-external=true" title="class or interface in java.io">ObjectInputStream</a>&nbsp;in)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></pre>
<div class="block">Supports Serialization interface.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an error occurs</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>perUserBlockWhenExhausted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserBlockWhenExhausted</pre>
</li>
<li class="blockList">
<h4>perUserEvictionPolicyClassName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserEvictionPolicyClassName</pre>
</li>
<li class="blockList">
<h4>perUserLifo</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserLifo</pre>
</li>
<li class="blockList">
<h4>perUserMaxIdle</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserMaxIdle</pre>
</li>
<li class="blockList">
<h4>perUserMaxTotal</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserMaxTotal</pre>
</li>
<li class="blockList">
<h4>perUserMaxWaitMillis</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserMaxWaitMillis</pre>
</li>
<li class="blockList">
<h4>perUserMinEvictableIdleTimeMillis</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserMinEvictableIdleTimeMillis</pre>
</li>
<li class="blockList">
<h4>perUserMinIdle</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserMinIdle</pre>
</li>
<li class="blockList">
<h4>perUserNumTestsPerEvictionRun</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserNumTestsPerEvictionRun</pre>
</li>
<li class="blockList">
<h4>perUserSoftMinEvictableIdleTimeMillis</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserSoftMinEvictableIdleTimeMillis</pre>
</li>
<li class="blockList">
<h4>perUserTestOnCreate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserTestOnCreate</pre>
</li>
<li class="blockList">
<h4>perUserTestOnBorrow</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserTestOnBorrow</pre>
</li>
<li class="blockList">
<h4>perUserTestOnReturn</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserTestOnReturn</pre>
</li>
<li class="blockList">
<h4>perUserTestWhileIdle</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserTestWhileIdle</pre>
</li>
<li class="blockList">
<h4>perUserTimeBetweenEvictionRunsMillis</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserTimeBetweenEvictionRunsMillis</pre>
</li>
<li class="blockList">
<h4>perUserDefaultAutoCommit</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserDefaultAutoCommit</pre>
</li>
<li class="blockList">
<h4>perUserDefaultTransactionIsolation</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserDefaultTransactionIsolation</pre>
</li>
<li class="blockListLast">
<h4>perUserDefaultReadOnly</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; perUserDefaultReadOnly</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.datasources.SharedPoolDataSource">
<!--   -->
</a>
<h3>Class <a href="org/apache/commons/dbcp2/datasources/SharedPoolDataSource.html" title="class in org.apache.commons.dbcp2.datasources">org.apache.commons.dbcp2.datasources.SharedPoolDataSource</a> extends <a href="org/apache/commons/dbcp2/datasources/InstanceKeyDataSource.html" title="class in org.apache.commons.dbcp2.datasources">InstanceKeyDataSource</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1458539734480586454L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialization Methods</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>readObject</h4>
<pre>private&nbsp;void&nbsp;readObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/ObjectInputStream.html?is-external=true" title="class or interface in java.io">ObjectInputStream</a>&nbsp;in)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></pre>
<div class="block">Supports Serialization interface.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an error occurs</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>maxTotal</h4>
<pre>int maxTotal</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
